package com.sun.xml.internal.ws.api.handler;

import com.sun.xml.internal.ws.api.model.wsdl.WSDLPort;
import com.sun.istack.internal.Nullable;
import com.sun.xml.internal.ws.api.model.SEIModel;
import com.sun.xml.internal.ws.api.WSBinding;
import java.util.Set;
import com.sun.xml.internal.ws.api.message.Message;
import javax.xml.ws.handler.MessageContext;

public interface MessageHandlerContext extends MessageContext
{
    public abstract Message getMessage();
    
    public abstract void setMessage(Message p0);
    
    public abstract Set<String> getRoles();
    
    public abstract WSBinding getWSBinding();
    
    @Nullable
    public abstract SEIModel getSEIModel();
    
    @Nullable
    public abstract WSDLPort getPort();
}
